///////////////////////////////////////////////////////////////////////
//    Copyright (C) 1997
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//    authors: Andrey V. Astrelin
//             Oleg L. Machulski
//    mail: machulsk@shade.msu.ru
///////////////////////////////////////////////////////////////////////
/**********************************************
*   COMMON include file for MMMX Editor       *
*   Contains UNIX/notUNIX specific functions  *
***********************************************/

#ifndef __INCLUDED_MMM_COMMON__
#define __INCLUDED_MMM_COMMON__
#include "mmmx.h"
//&<<&#ifdef __DOS__ / WIN32 / __OS2__ / __linux__
#ifdef __DOS__
    #include "mmm_dos.h"
#endif
#ifdef WIN32
    #include "mmm_w95.h"
#endif
#ifdef __OS2__
    #include "mmm_os2.h"
#endif
#ifdef __linux__
    #ifdef __X11__
        #include "mmm_x11.h"
    #else
        #include "mmm_lnx.h"
    #endif
#endif

//&>>&9 0 9 0

extern char RunDir[];
char *MFileName(char *s);

//&<<&#ifdef __linux__   // for compatibility
#ifdef __linux__
  extern void     _dos_getdrive( unsigned *__drive );
  extern void     _dos_setdrive( unsigned __drivenum, unsigned *__drives );
#endif
//&>>&1 0 1 10

#endif
//&>>&15 0 7 0
