///////////////////////////////////////////////////////////////////////
//    Copyright (C) 1997
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//    authors: Andrey V. Astrelin
//             Oleg L. Machulski
//    mail: machulsk@shade.msu.ru
///////////////////////////////////////////////////////////////////////
/**********************************************
*   OS/2 include file for MMMX Editor         *
*   Contains OS/2 WARP specific functions     *
***********************************************/

#ifndef __INCLUDED_MMM_OS2__
#define __INCLUDED_MMM_OS2__

#define EXECUTER_FILENAME "__mmm__.cmd"
#define BASE_CONFIG_FILE_NAME "mmm_base.cfg"
//&<<&#include
#define INCL_DOSQUEUES
#define INCL_DOS
#define INCL_SUB

#include <os2.h>
#include <conio.h>
#include <process.h>
#include <direct.h>
#include <dos.h>

#include "mmmx.h"
#include "mmmgrep.h"
//&>>&B 0 B 11

//&<<&class mmm_Screen;
class mmm_Screen{
  int need;
  int WIDTH,HEIGHT;
////////////////  int OldScr,OldCl;
////////////////  char far *OldCurs,OldAttr;
///  void Clear();
  VIOMODEINFO saveVideoConfig;
public:
  mmm_Screen();
  ~mmm_Screen();
  int GetH(){ return HEIGHT; }
  int GetW(){ return WIDTH; }
  void View();
  int &Need(){ return need; }
  void SetCursor(int x,int y,int attr);
  void ClrCursor();
};
//&>>&9 0 9 D

//&<<&class mmm_KeyBoard;
#ifdef __TURBOC__
#  define IntArg ...
#else
#  define IntArg
#endif

class mmm_KeyBoard{
    APIRET retcode;
    KBDKEYINFO keydata;
    KBDINFO SaveKBD;
    void InitKeyboardLayout();
    char *InitDefaultAltCase();
public:
    char *AltCase;
    char keys[4][128];
    int LastScanCode;
    void SetACode(int n);
    mmm_KeyBoard();
    ~mmm_KeyBoard();
    int GetScan();
};

void ProcessShiftsStatus(USHORT stat);
  /////// mmmx.err
//&>>&E 0 E 14

void MkScan(int scancode);
#endif
//&>>&0 0 0 12
